package com.tofly.feesapi.yhgl.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.feesapi.sfgl.entity.dto.PjchDto;
import com.tofly.feesapi.yhgl.entity.YyZjzh;
import com.tofly.feesapi.yhgl.entity.dto.YyZjzhUpdate;
import com.tofly.feesapi.yhgl.entity.vo.YyZjzhView;

import java.math.BigDecimal;

public interface IYyZjzhService extends IService<YyZjzh> {

    /** 修改预存款余额 */
    String xgyck(YyZjzhUpdate update);

    /** 修改预存款余额(含余额转存、预存款收取（实收）)*/
    boolean xgyck(YyZjzhUpdate update,  boolean ssbz, int sfxh, String fffs,String sflsbh);

    boolean dhsfxgyck(YyZjzhUpdate update, String khbm,  boolean ssbz, int sfxh, String fffs,String sflsbh);

    YyZjzhView get(String yhbh);

    void ycch(PjchDto pjchDto, BigDecimal sszje);

    /** 扣费冲红更新 */
    void updateByKfch(BigDecimal bckj, PjchDto pjchDto);

    /** 根据冲红dto获取用户账户 */
    YyZjzh selectByChDto(PjchDto pjchDto);
}
